'use strict'

// Si construimos un objeto Date sin pasar argumentos,
// obtenemos la fecha actual
let d1 = new Date();
console.log(d1); // 2020-04-22T10:24:16.528Z

// Hacemos un cálculo matemático cualquiera, complejo,
// para tardar cierto tiempo (en js no hay nada esquivalente
// a sleep)

for (let i = 0; i<100000000; ++i){
    let x = Math.random();
    x**2.50;
}
    
let d2 = new Date();
console.log(d2);  // 2020-04-22T10:24:17.555Z

// Tiempo transcurrido
console.log(d2-d1);  // 1027  (milisegundos)
