'use strict'
let a;
a=['sota', 'caballo', 'rey', 'as'];

let i = 1;
let j = 3;

console.log(a[i]) // caballo

// El método slice(i,j) devuelve la sublista
// entre el elemento i (incluido) y el j (excluido)
console.log(a.slice(i,j)) // ['caballo', 'rey'] 

// Si solo indicamos un valor, se entiende que la
// rodaja empieza ahí y acaba al final

//console.log(a.slice(,2));  // ERROR
console.log(a.slice(2));  // ['rey', 'as']
console.log(a.slice(2,));  // ['rey', 'as']

// Si i o j son negativos, cuentan desde el final,
// el -1 es el último
console.log(a.slice(-3,-1));  // ['caballo', 'rey']

// slice no es destructivo
console.log(a);   // ['sota', 'caballo', 'rey', 'as'];

