// Objeto con una hora concreta, expresada como hora local
// P.e. 3 de septiembre de 2018, a las 9 de España
// Cuidado: 0 es enero, 11 es diciembre
d = new Date(2018, 8, 3, 9, 0, 0);
console.log(d); // 2018-09-03T07:00:00.000Z   ZULU time (UTC)

// Para usar hora UTC, primero construyo el intervalo
let intervalo3 = Date.UTC(2018, 8, 3, 9, 0, 0);  
console.log(intervalo3);  //  1535965200000

// Ahora construyo el objeto Date desde el intervalo
let d3 = new Date(intervalo3)
console.log(d3);  // 2018-09-03T09:00:00.000Z

// No se puede construir el objeto directamente
//d3 = new Date.UTC(2018, 8, 3, 9, 0, 0);   # Error
